<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('granting_telecoms', function (Blueprint $table) {
            $table->string('road_cutting_purpose')->nullable();
            $table->string('locationame')->nullable();
            $table->string('no_duct')->nullable();
            $table->string('no_chamber')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('granting_telecoms', function (Blueprint $table) {
        $table->dropColumn('road_cutting_purpose')->nullable();
        $table->dropColumn('locationame')->nullable();
        $table->dropColumn('no_duct')->nullable();
        $table->dropColumn('no_chamber')->nullable();
        });
    }
};
